using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using IndexAttribute = Microsoft.EntityFrameworkCore.IndexAttribute;

namespace Elwig.Models.Entities {
    [Table("wine_cultivation"), PrimaryKey("CultId"), Index("Name", IsUnique = true)]
    public class WineCult {
        [Column("cultid")]
        public required string CultId { get; set; }

        [Column("name")]
        public required string Name { get; set; }

        [Column("description")]
        public string? Description { get; set; }

        public override string ToString() {
            return Name;
        }
    }
}
